Page MenuHomePhabricator

Civi: some CIDs not opening
Closed, ResolvedPublic1 Story Points

Description

Kristie noticed and I replicated that if you quick search for the email address associated with CID 671068, it appears in the results, but we're unable to load the CID record itself, either through clicking or entering the CID# directly in the URL. Maybe this is similar to T201008: Civi: some CIDs not opening?

We can't cancel recurring donations or do other things because of this, so it's close to Unbreak Now.

Event Timeline

MBeat33 created this task.Sep 18 2018, 3:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 3:40 PM
MBeat33 updated the task description. (Show Details)Sep 18 2018, 3:45 PM

Kind of a longshot, but the CID above has a _ in the email address; other CIDs without that seem to load.

@Ejegg @eileen I just tried to go to this CID and it seems to have timed out. This is not happening on all cids.

DStrine triaged this task as Unbreak Now! priority.Sep 18 2018, 8:28 PM
Restricted Application added subscribers: Pcoombe, Liuxinyu970226, TerraCodes. · View Herald TranscriptSep 18 2018, 8:28 PM

Change 461248 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm/civicrm@master] WIP fix for cache miss

https://gerrit.wikimedia.org/r/461248

Change 461263 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm/civicrm@master] Re-apply lost patch : Port activity tab performance fix

https://gerrit.wikimedia.org/r/461263

I have an update on this - there is a specific activity rendering extremely slowly. It is a bulk email sent by Peter G in 2010 to 39484 contacts - and it is because of that large volume of contacts the activity is attached to that it is slow.

We had a patch that got lost that prevented all activities being rendered (instead just the first 25 render) . Bringing that patch back alleviates the problem as the old activity isn't rendered. That fix is here https://gerrit.wikimedia.org/r/#/c/wikimedia/fundraising/crm/civicrm/+/461263/

However, I will keep digging on the rendering of ones like that since it shouldn't be that slow to render specific activities (with many contacts).

I will also do another push on upstreaming our changes that got lost https://github.com/civicrm/civicrm-core/pull/12557/commits - some portion of our changes were merged & I assume that the reason this patch got lost is that I got a merge conflict preparing our 5.6 deploy and incorrectly concluded that the fix was merged (skipping rather than resolving). This is a bit of a technical debt issue on our part

DS agents are reporting today 9/19 that CIDs and email address we know to be in Civi are not loading consistently - they yield blank pages, and then may open later. Was anything deployed today that would cause this? I will paste new examples here, but this is handicapping our ability to respond to donors.

Change 461263 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] Re-apply lost patch : Port activity tab performance fix

https://gerrit.wikimedia.org/r/461263

Ejegg added a comment.Sep 19 2018, 8:25 PM

OK, deployed @Eileenmcnaughton's fixes, and the CID mentioned in the description seems to open now.

Great news, thank you @Ejegg

@MBeat33 good to close? Note that on the specified contact page 3 of his activities is still slow to load due to a specific activity - I logged a sub issue to keep that part alive

Eileenmcnaughton set the point value for this task to 1.Sep 20 2018, 1:47 AM
MBeat33 closed this task as Resolved.Sep 20 2018, 1:14 PM

Sure thing, @Eileenmcnaughton - and thanks for the followup task.

Change 461248 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] Fix for cache miss

https://gerrit.wikimedia.org/r/461248